#!/usr/bin/env python
import threading
import thread
import time
import datetime
import locale


class Thread(threading.Thread):

    def __init__(self, local):
        self.local = local
        threading.Thread.__init__(self)

    def run(self):
        locale.setlocale(locale.LC_ALL, self.local + '.UTF-8')
        for i in range(4):
            locale.setlocale(locale.LC_ALL, self.local + '.UTF-8')
            date = datetime.date.today()
            time.sleep(1)
            print "%d: %s %s" % (thread.get_ident(), self.local,
                    date.strftime('%Y-%B-%d'))


for local in ['en_US', 'fr_FR', 'de_DE']:
    Thread(local).start()
